// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: circuitsegmentservicemodule/circuitsegmentservicemodule.proto

package openfmb.circuitsegmentservicemodule;

/**
 * <pre>
 * State kind
 * </pre>
 *
 * Protobuf enum {@code circuitsegmentservicemodule.CircuitSegmentServiceModeKind}
 */
public enum CircuitSegmentServiceModeKind
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_UNDEFINED = 0;</code>
   */
  CircuitSegmentServiceModeKind_UNDEFINED(0),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_none = 1;</code>
   */
  CircuitSegmentServiceModeKind_none(1),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_auto = 2;</code>
   */
  CircuitSegmentServiceModeKind_auto(2),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_manual = 3;</code>
   */
  CircuitSegmentServiceModeKind_manual(3),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_netzero = 4;</code>
   */
  CircuitSegmentServiceModeKind_netzero(4),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_start = 5;</code>
   */
  CircuitSegmentServiceModeKind_start(5),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_stop = 6;</code>
   */
  CircuitSegmentServiceModeKind_stop(6),
  UNRECOGNIZED(-1),
  ;

  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_UNDEFINED = 0;</code>
   */
  public static final int CircuitSegmentServiceModeKind_UNDEFINED_VALUE = 0;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_none = 1;</code>
   */
  public static final int CircuitSegmentServiceModeKind_none_VALUE = 1;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_auto = 2;</code>
   */
  public static final int CircuitSegmentServiceModeKind_auto_VALUE = 2;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_manual = 3;</code>
   */
  public static final int CircuitSegmentServiceModeKind_manual_VALUE = 3;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_netzero = 4;</code>
   */
  public static final int CircuitSegmentServiceModeKind_netzero_VALUE = 4;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_start = 5;</code>
   */
  public static final int CircuitSegmentServiceModeKind_start_VALUE = 5;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>CircuitSegmentServiceModeKind_stop = 6;</code>
   */
  public static final int CircuitSegmentServiceModeKind_stop_VALUE = 6;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static CircuitSegmentServiceModeKind valueOf(int value) {
    return forNumber(value);
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   */
  public static CircuitSegmentServiceModeKind forNumber(int value) {
    switch (value) {
      case 0: return CircuitSegmentServiceModeKind_UNDEFINED;
      case 1: return CircuitSegmentServiceModeKind_none;
      case 2: return CircuitSegmentServiceModeKind_auto;
      case 3: return CircuitSegmentServiceModeKind_manual;
      case 4: return CircuitSegmentServiceModeKind_netzero;
      case 5: return CircuitSegmentServiceModeKind_start;
      case 6: return CircuitSegmentServiceModeKind_stop;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<CircuitSegmentServiceModeKind>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      CircuitSegmentServiceModeKind> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<CircuitSegmentServiceModeKind>() {
          public CircuitSegmentServiceModeKind findValueByNumber(int number) {
            return CircuitSegmentServiceModeKind.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalStateException(
          "Can't get the descriptor of an unrecognized enum value.");
    }
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return openfmb.circuitsegmentservicemodule.Circuitsegmentservicemodule.getDescriptor().getEnumTypes().get(0);
  }

  private static final CircuitSegmentServiceModeKind[] VALUES = values();

  public static CircuitSegmentServiceModeKind valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private CircuitSegmentServiceModeKind(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:circuitsegmentservicemodule.CircuitSegmentServiceModeKind)
}

